# Copyright (c) 2004-2006 Bethel University. All rights reserved.
# See also gpl.txt

from Products.Silva.ExtensionRegistry import extensionRegistry
from Products.Silva.fssite import registerDirectory
from Products.SilvaMetadata.Compatibility import registerTypeForMetadata
from Products.Silva.ImporterRegistry import importer_registry

import Stylesheet
from silvaxml import xmlexport, xmlimport
import install

def initialize(context):
    extensionRegistry.register(
        'SilvaStylesheets', 'Silva Stylesheet', context, [Stylesheet],
        install, depends_on='Silva')
    registerDirectory('views',globals())
    registerTypeForMetadata(Stylesheet.Stylesheet.meta_type)

    #------------------------------
    # Initialize the XML registries
    #------------------------------
    
    xmlexport.initializeXMLExportRegistry()
    xmlimport.initializeXMLImportRegistry()
