<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet
  exclude-result-prefixes="doc silva silva-content silva-extra cms-funcs"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:doc="http://infrae.com/ns/silva_document"
  xmlns:silva="http://infrae.com/ns/silva"
  xmlns:silva-content="http://infrae.com/namespaces/metadata/silva"
  xmlns:silva-extra="http://infrae.com/namespaces/metadata/silva-extra"
  xmlns:cms-funcs="http://bethel.edu/cms-funcs"
  version="1.0">

  <xsl:output method="text" 
              indent="no" 
              omit-xml-declaration="yes" 
              encoding="utf-8" />

  <xsl:template match="encoding|row_length|method|stored_encoding|unicode_mode|form/title|form/name|group/title" />
  <xsl:template match="group">
    {<xsl:apply-templates />},
  </xsl:template><xsl:template match="field">
    {'name': "<xsl:apply-templates select="id" />",
     'description': '''<xsl:apply-templates select="values/description" />''',
     'extra': '''<xsl:apply-templates select="values/extra" />''',
     'title': '''<xsl:apply-templates select="values/title" />'''},
  </xsl:template></xsl:stylesheet>
